
	jQuery(document).ready( function(){
		
		window.setTimeout("jQuery('.updated').fadeOut()",2000);
		
		Shadowbox.init({
			handleOversize: 'resize',
			overlayColor:'#000000',
			overlayOpacity: '0.9',
			modal: true,
			players: ['html','iframe'],
			onOpen: function() { document.body.style.overflow = "hidden"; return true; },
			onClose: function() { document.body.style.overflow = "auto"; return false; }
		});
		
		if (jQuery('#agegate_form #label_color_picker').length > 0) {
			jQuery('#agegate_form #label_color_picker').farbtastic('#agegate_form #label_color_input');
		}
		if (jQuery('#agegate_form #window_color_picker').length > 0) {
			jQuery('#agegate_form #window_color_picker').farbtastic('#agegate_form #window_color_input');
		}
		if (jQuery('#agegate_form #text_color_picker').length > 0) {
			jQuery('#agegate_form #text_color_picker').farbtastic('#agegate_form #text_color_input');
		}
		jQuery('#preview').click(function() {
			if (!validate()) return false;
			jQuery("#preview_loading").show();
			var wcolor = agegate_params.window_color;
			if (jQuery('#agegate_form #window_color_input').length > 0) wcolor = jQuery('#agegate_form #window_color_input').val();
			var wwidth = agegate_params.width;
			if (jQuery('#agegate_form #width_input').length > 0) wwidth = jQuery('#agegate_form #width_input').val();
			var wheight = agegate_params.height;
			if (jQuery('#agegate_form #height_input').length > 0) wheight = jQuery('#agegate_form #height_input').val();
			var wtitle = agegate_params.title;
			if (jQuery('#agegate_form #title_input').length > 0) wtitle = jQuery('#agegate_form #title_input').val();
		    var vars = jQuery('#agegate_form').serialize();
		    jQuery.post(agegate_params.preview_save_url, vars ,function(data) {
			    jQuery('#sb-body').css('background-color',wcolor);
			    jQuery('#sb-nav-close').css('visibility','visible');
			    Shadowbox.open({
					content:    agegate_params.preview_show_url,
					player:     "iframe",
					title:      wtitle,
					height:     wheight,
					width:      wwidth
			    });
			    jQuery("#preview_loading").hide();
		    });
		    return false;
		});
		jQuery('#getcode').click(function() {
			if (!validate()) return false;
		    jQuery('#sb-body').css('background-color','#fff');
		    jQuery('#sb-nav-close').css('visibility','visible');
		    Shadowbox.open({
				content:    agegate_params.code_url,
				player:     "iframe",
				title:      'AGE GATE CODE',
				height:     500,
				width:      800
		    });
		    return false;
		});
		
	});
	
	function close_shadowbox() {
		Shadowbox.close();
	}
	
	function validate() {
		if (jQuery("#window_color_input").length > 0) {
			if (!colorcode_validate(jQuery("#window_color_input").val())) return do_error("The window color is not valid.", jQuery("#window_color_input"));
			if (!colorcode_validate(jQuery("#text_color_input").val())) return do_error("The text color is not valid.", jQuery("#text_color_input"));
			if (!colorcode_validate(jQuery("#label_color_input").val())) return do_error("The label color is not valid.", jQuery("#label_color_input"));
			if (!integer_validate(jQuery("#width_input").val(), 450)) return do_error("The window width is not valid.", jQuery("#width_input"));
			if (!integer_validate(jQuery("#height_input").val())) return do_error("The window height is not valid.", jQuery("#height_input"));
		}
		return true;
	}
	
	function do_error(str, obj) {
		alert(str);
		jQuery('html,body').animate({ scrollTop: obj.offset().top - 50 }, 500);
		obj.focus();
		return false;
	}
	
	function colorcode_validate(str)
	{
	    var regColorcode = /^#([0-9a-fA-F]{3})([0-9a-fA-F]{3})?$/;
	    return regColorcode.test(str);
	}
	function integer_validate(str, min) {
		var num = parseInt(str,10);
		if (num!=str) return false;
		if ((min != undefined) && min>num) return false;
		return num;
	}
	
	function ajaxFileUpload()
	{
		jQuery("#imageupload_loading").show();
		jQuery.ajaxFileUpload
		(
			{
				url:agegate_params.image_upload_url,
				secureuri:false,
				fileElementId:'fileToUpload',
				dataType: 'json',
				data:{name:'logan', id:'id'},
				success: function (data, status)
				{
					if(typeof(data.error) != 'undefined')
					{
						if(data.error != '')
						{
							alert(data.error);
						}else
						{
							jQuery('#agegate_form #image_data').val(data.data);
							jQuery('#agegate_form #image').attr('src',data.data);
						}
					}
					jQuery("#imageupload_loading").hide();
				},
				error: function (data, status, e)
				{
					alert(e);
					jQuery("#imageupload_loading").hide();
				}
			}
		)
		
		return false;

	}