
<div class="wrap">
	<h2>Age Gate. Window settings</h2>
	<?php echo $message ?>
	<form method="post" action="<?php echo $save_url; ?>" id="agegate_form" onsubmit="return validate()">
		<input type="hidden" name="agegate_save_window_settings" value="1" />
		<table class="form-table">
			<tr valign="top">
				<td>Window title: </td>
				<td><input type="text" name="title" id="title_input" value="<?php echo $options['title']; ?>" class="regular-text" /><span class="description">Title of the window.</span></tr>
			</tr>
			<tr valign="top">
				<td>Window width: </td>
				<td><input type="text" name="width" id="width_input" value="<?php echo $options['width']; ?>" class="regular-text" /><span class="description">Minimum: 450</span></td>
			</tr>
			<tr valign="top">
				<td>Window height: </td>
				<td><input type="text" name="height" id="height_input" value="<?php echo $options['height']; ?>" class="regular-text" /><span class="description">If the contents don't fit into the window there will be a scrollbar.</span></td>
			</tr>
			<tr valign="top">
				<td>Window color: </td>
				<td>
					<div id="window_color_picker"></div>
					<input type="text" name="window_color" id="window_color_input" value="<?php echo $options['window_color']; ?>" class="regular-text" />
					<span class="description">Background color of the content window</span>
				</td>
			</tr>
			<tr valign="top">
				<td>Top image: </td>
				<td>
					<img src="<?php echo $options['image_data'] ?>" alt="logo" id="image" /><br />
					<input type="file" name="fileToUpload" id="fileToUpload" class="regular-text" />
					<span class="description">Please, select an image and press the "Upload" button before saving the settings.</span><br />
					<button class="button" id="buttonUpload" onclick="return ajaxFileUpload();">Upload</button><img id="imageupload_loading" src="<?php echo $plugin_url ?>images/loading.gif" alt="loading" style="vertical-align:middle; margin-left:10px; display:none;" />
					<input type="hidden" name="image_data" id="image_data" value="<?php echo $options['image_data']; ?>" />
				</tr>
			</tr>
			<tr valign="top">
				<td>Main text: </td>
				<td><textarea name="text" class="large-text"><?php echo stripslashes($options['text']); ?></textarea></td>
			</tr>
			<tr valign="top">
				<td>Bottom text: </td>
				<td><textarea name="bottom_text" class="large-text"><?php echo stripslashes($options['bottom_text']); ?></textarea></td>
			</tr>
			<tr valign="top">
				<td>Color of text: </td>
				<td>
					<div id="text_color_picker"></div>
					<input type="text" name="text_color" id="text_color_input" value="<?php echo $options['text_color']; ?>" class="regular-text" />
					<span class="description"></span>
				</td>
			</tr>
			<tr valign="top">
				<td>Color for labels: </td>
				<td>
					<div id="label_color_picker"></div>
					<input type="text" name="label_color" id="label_color_input" value="<?php echo $options['label_color']; ?>" class="regular-text" />
					<span class="description"></span>
				</td>
			</tr>
		</table>
		
		<p class="submit">
			<input type="submit" name="Submit" class="button-primary" value="Save" />
			<a class="button" id="getcode" href="<?php echo $code_url ?>" title="Title">Get the code</a>
			<a class="button" id="preview" href="<?php echo $preview_show_url ?>" title="Title">Preview</a><img id="preview_loading" src="<?php echo $plugin_url ?>images/loading.gif" alt="loading" style="vertical-align:middle; margin-left:10px; display:none;" />
		</p>
	</form>
</div>

